screen goes blank even though screensaver and power management are turned off

Bug #46575 reported by wpshooter on 2006-05-25
24
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-screensaver (Ubuntu)
Medium
Unassigned
xorg (Ubuntu)
Low
Unassigned

Bug Description

Dapper Drake,

Why does my screen/display go blank after a long period of inactivity even though I have the screen saver turned off and the power management settings set to NEVER.

And screen blanking/suspend is NOT enabled in BIOS !!!

Thanks.

sam tygier (samtygier) wrote :

do you have both xscreensaver and gnome-screensaver installed?

I don't know what these are ?

I have the beta version of Dapper Drake installed from the INSTALL CD
and patched thru the end of last night.

I have the box UNCHECKED in the screensaver section and I have BOTH
parameters set to NEVER in the power management section.

Please let me know if I can help further. I am at work now and the
installation is on my home computer. You can reach me at
<email address hidden> at home.

James R. Overstreet
Paraprofessional
"Nothing is more useful than silence"

Cherry, Bekaert & Holland, L.L.P.
828 Main Street, 17th Floor
Lynchburg, Virginia 24504

434-455-0802 direct
434-847-6643 phone
434-528-3605 fax
<email address hidden>

Solutions.Character.Depth.
The Firm of Choice.
www.cbh.com

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
sam tygier
Sent: Thursday, May 25, 2006 10:03 AM
To: James R. Overstreet
Subject: [Bug 46575] Re: screen/display goes blank after long inactive
period

do you have both xscreensaver and gnome-screensaver installed?

--
screen/display goes blank after long inactive period
https://launchpad.net/bugs/46575

* To learn more about CB&H, please visit our web site at http://www.cbh.com/
* U.S. Treasury Department Circular 230 Disclosure: In accordance with applicable professional regulations, please understand that, unless specifically stated otherwise, any written advice contained in, forwarded with, or attached to this communication is not a tax opinion and is not intended or written to be used, and cannot be used, by any person for the purpose of avoiding any penalties that may be imposed under the Internal Revenue code. * This email may include information that is confidential and/or subject to the accountant/client privilege. If the reader of this message is not the intended recipient, please notify us by reply email and then delete this message and destroy any copies. This transmission is not intended to and does not waive any privileges.

Is this still an issue with the latest dapper/edgy releases?

Yes, to my knowledge it still is.

If you are say doing a long download, the screen will go blank after
about 30 minutes, even if you have the power management setting on
NEVER.

Also, there are various other anomalies regarding the screensaver and
power management functioning in Ubuntu. For instance, I have 1 machine
out of 4, that even though I have the power management set for the
screen to go blank after 3 minutes, it invariably takes that machine
about 10 minutes to go blank while all of my other machines only take
the 3 minutes.

I am still seeing various post on the forums regarding various issues in
the area of screensaver and power management functions.

I really think someone needs to take a long look at this. Something
like this can give a new comer to Ubuntu a very bad feeling about the
reliability of this O/S.

Thanks.

James R. Overstreet
Senior Paraprofessional

Cherry, Bekaert & Holland, L.L.P.
828 Main Street, 17th Floor
Lynchburg, Virginia 24504

434-455-0802 direct
434-847-6643 phone
434-528-3605 fax
<email address hidden>

Solutions.Character.Depth.
The Firm of Choice.
www.cbh.com

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Pradeep Varadarajan
Sent: Friday, December 15, 2006 6:22 AM
To: James R. Overstreet
Subject: [Bug 46575] Re: screen/display goes blank after long inactive
period

Is this still an issue with the latest dapper/edgy releases?

** Changed in: Ubuntu
       Status: Unconfirmed => Needs Info

--
screen/display goes blank after long inactive period
https://launchpad.net/bugs/46575

* To read CB&H�s Tax Bulletin on the telephone tax refund formula and mileage reimbursement rate increases recently announced by the IRS. Please visit our web site at http://www.cbh.com/n_bulletin-phonemileage.php#phonetax

* U.S. Treasury Department Circular 230 Disclosure: In accordance with applicable professional regulations, please understand that, unless specifically stated otherwise, any written advice contained in, forwarded with, or attached to this communication is not a tax opinion and is not intended or written to be used, and cannot be used, by any person for the purpose of avoiding any penalties that may be imposed under the Internal Revenue code. * This email may include information that is confidential and/or subject to the accountant/client privilege. If the reader of this message is not the intended recipient, please notify us by reply email and then delete this message and destroy any copies. This transmission is not intended to and does not waive any privileges.

I use feisty on my thinkpad T60 and I have the same problem. I can fix it manually with the following command:

xset s off

Thanks for the info BUT am I supposed to commit this command to memory
and then remember to input it every time I might restart my computer.

They need to FIX this kind of stuff !!!

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Sebastian Wiesinger
Sent: Tuesday, May 08, 2007 4:48 PM
To: James R. Overstreet
Subject: [Bug 46575] Re: screen goes blank even though screensaver and
powermanagement are turned off

I use feisty on my thinkpad T60 and I have the same problem. I can fix
it manually with the following command:

xset s off

--
screen goes blank even though screensaver and power management are
turned off
https://bugs.launchpad.net/bugs/46575
You received this bug notification because you are a direct subscriber
of the bug.

* To read CB&H�s Tax Bulletin on the telephone tax refund formula and mileage reimbursement rate increases recently announced by the IRS. Please visit our web site at http://www.cbh.com/n_bulletin-phonemileage.php#phonetax

* U.S. Treasury Department Circular 230 Disclosure: In accordance with applicable professional regulations, please understand that, unless specifically stated otherwise, any written advice contained in, forwarded with, or attached to this communication is not a tax opinion and is not intended or written to be used, and cannot be used, by any person for the purpose of avoiding any penalties that may be imposed under the Internal Revenue code. * This email may include information that is confidential and/or subject to the accountant/client privilege. If the reader of this message is not the intended recipient, please notify us by reply email and then delete this message and destroy any copies. This transmission is not intended to and does not waive any privileges.

* wpshooter <email address hidden> [2007-05-08 23:06]:
> Thanks for the info BUT am I supposed to commit this command to memory
> and then remember to input it every time I might restart my computer.
>
> They need to FIX this kind of stuff !!!

The info wasn't primarily for you but for the developers, so that they
can reproduce the problem and fix it hopefully.

Regards,

Sebastian

Just one more thing, I noticed that you need to turn off dpms, too:

xset -dpms

If you're running beryl under xgl, you need to prefix both commands with DISPLAY=:0

Oliver Grawert (ogra) wrote :

you can easier do it by dropping the line:
Option "DPMS"
from your xorg.conf file
to fix it right is actually quite tricky since xorg overrides the screensaver here, so even though setting a proper value for it wont help unless we remove that default line ...
but ... removing it will then cause powermanagement to fail on login manager screens or on window managers that have no power manager at all.

Bryce Harrington (bryce) on 2007-07-18
Changed in xorg:
importance: Undecided → Low
status: New → Confirmed

Well, this is still true in Feisty, and maybe in Gutsy too, and nobody seems to care, although this bug is quite ridiculous for Ubuntu. What need to have a so nice power manager if the screensaver cannot be configured?

No developer is listening here? On how many computers is this occuring? Maybe g-p-m could send the 'xset -dpms' command when it starts as a workaround. This should really be fixed.

wpshooter (joverstreet) wrote :

Milan:

 I completely agree with you.

 It is sort of ridiculous that after all this time this has not
been fixed.

 I wish I were a programmer with the proper expertise, I would
fix this myself.

 Thanks.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
Milan
Sent: Sunday, September 23, 2007 1:48 PM
To: James R. Overstreet
Subject: [Bug 46575] Re: screen goes blank even though screensaver and
powermanagement are turned off

Well, this is still true in Feisty, and maybe in Gutsy too, and nobody
seems to care, although this bug is quite ridiculous for Ubuntu. What
need to have a so nice power manager if the screensaver cannot be
configured?

No developer is listening here? On how many computers is this occuring?
Maybe g-p-m could send the 'xset -dpms' command when it starts as a
workaround. This should really be fixed.

--
screen goes blank even though screensaver and power management are
turned off
https://bugs.launchpad.net/bugs/46575
You received this bug notification because you are a direct subscriber
of the bug.

* Visit this URL to learn about how the new auditing standards will have a significant impact on all audits.

http://www.cbh.com/pdf/newsinfo/newsreleases/auditing-standards.pdf

* U.S. Treasury Department Circular 230 Disclosure: In accordance with applicable professional regulations, please understand that, unless specifically stated otherwise, any written advice contained in, forwarded with, or attached to this communication is not a tax opinion and is not intended or written to be used, and cannot be used, by any person for the purpose of avoiding any penalties that may be imposed under the Internal Revenue code. * This email may include information that is confidential and/or subject to the accountant/client privilege. If the reader of this message is not the intended recipient, please notify us by reply email and then delete this message and destroy any copies. This transmission is not intended to and does not waive any privileges.

i was having this problem too. but xset s off didn't fix it for me. i had to put this in my xorg.conf file:

Section "ServerFlags"
 Option "blank time" "0"
 Option "standby time" "0"
 Option "suspend time" "0"
 Option "off time" "0"
 Option "screen blank" "0"
EndSection

then i had to restart X. now, the screen never goes blank! gnome-screensaver kicks in! hope that helps!

wpshooter (joverstreet) wrote :

 I appreciate the info.

 But, I am not going to program my computer O/S to make the
screen blank/behave properly. If the writers of this O/S can not fix
this, then I will just wait until they can.

 Thanks.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
unebaguettesvp
Sent: Monday, November 12, 2007 1:37 PM
To: James R. Overstreet
Subject: [Bug 46575] Re: screen goes blank even though screensaver and
powermanagement are turned off

i was having this problem too. but xset s off didn't fix it for me. i
had to put this in my xorg.conf file:

Section "ServerFlags"
 Option "blank time" "0"
 Option "standby time" "0"
 Option "suspend time" "0"
 Option "off time" "0"
 Option "screen blank" "0"
EndSection

then i had to restart X. now, the screen never goes blank! gnome-
screensaver kicks in! hope that helps!

--
screen goes blank even though screensaver and power management are
turned off
https://bugs.launchpad.net/bugs/46575
You received this bug notification because you are a direct subscriber
of the bug.

* Visit this URL to learn about how the new auditing standards will have a significant impact on all audits.

http://www.cbh.com/pdf/newsinfo/newsreleases/auditing-standards.pdf

* U.S. Treasury Department Circular 230 Disclosure: In accordance with applicable professional regulations, please understand that, unless specifically stated otherwise, any written advice contained in, forwarded with, or attached to this communication is not a tax opinion and is not intended or written to be used, and cannot be used, by any person for the purpose of avoiding any penalties that may be imposed under the Internal Revenue code. * This email may include information that is confidential and/or subject to the accountant/client privilege. If the reader of this message is not the intended recipient, please notify us by reply email and then delete this message and destroy any copies. This transmission is not intended to and does not waive any privileges.

James Justin Harrell (herorev) wrote :

I'm having this problem on Kubuntu 7.10. I have an Nvidia graphics card and I'm not running Compiz (just KWin). I don't even have gnome-screensaver or xscreensaver installed. This issue has been receiving attention on the forums for a while and is still receiving attention.

May 2007
http://ubuntuforums.org/showthread.php?t=442190

November 2007
http://ubuntuforums.org/showthread.php?t=622567

A forum user said he's seeing the same problem on Debian Testing. Is this problem receiving any attention elsewhere, like from Debian?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers